<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	admin.jbudgetsmagic.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined( '_JEXEC' ) or die( 'Restricted access' );

// Require the base controller and helpers
require_once( JPATH_COMPONENT.DS.'controller.php' );
require_once( JPATH_COMPONENT.DS.'helpers'.DS.'cp.helper.php' );
require_once( JPATH_COMPONENT.DS.'helpers'.DS.'load.helper.php' );
require_once( JPATH_COMPONENT.DS.'helpers'.DS.'config.helper.php' );
require_once( JPATH_COMPONENT.DS.'helpers'.DS.'install.helper.php' );
require_once( JPATH_COMPONENT.DS.'helpers'.DS.'reader.helper.php' );

ini_set("display_errors", bdgHelperConfig::getConfig('debug_mode', 0));

// Load default language
$jlang =& JFactory::getLanguage();
$jlang->load('com_jbudgetsmagic', JPATH_ADMINISTRATOR, 'en-GB', true);
$jlang->load('com_jbudgetsmagic', JPATH_ADMINISTRATOR, null, true);

// Require tables
JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jbudgetsmagic'.DS.'tables');

// Require specific controller if requested
if($controller = JRequest::getWord('controller')) {
    $path = JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';
    if (file_exists($path)) {
        require_once $path;
    } else {
        $controller = '';
    }
}

// Create the controller
$classname    = 'bdgController'.$controller;
$controller   = new $classname( );

// Perform the Request task
$controller->execute( JRequest::getVar( 'task' ) );

// Redirect if set by the controller
$controller->redirect();

?>
