<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	bdgusers.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------

// Only for Joomla 1.5
defined( '_JEXEC' ) or die( 'Restricted access' );

class JElementBDGUsers extends JElement
{
	var	$_name 			= 'bdgusers';
	var $_bdgParams 	= null;

	function fetchElement($name, $value, &$node, $control_name)
	{
		$document	= &JFactory::getDocument();
		
		$db = &JFactory::getDBO();
		$query = "SELECT * FROM #__users WHERE gid > 23";
		$db->setQuery($query);

		$rows = $db->loadObjectList();

		$values = explode( ',', $value );
                $html = '';
		
		$script = "
			var limit = 1000;
			function upgrade_bdg(id) {
				var fornew = '';
				for(var i=0;i<limit;i++) {					
					var e = 'bdg_'+i;
					var el = $(e);
					if (el != null) {
						if (el.checked) {
							if (fornew.length == 0)
								fornew += el.id.substr(4,10);
							else
								fornew += ','+el.id.substr(4,10);
						}
					}
				}
				var forsus = '".$control_name."[".$name."]';
				$(forsus).value = fornew;	
			}
		";		

		$document->addScriptDeclaration($script);
		
		foreach($rows as $r) {
			$checked = "";
			if (in_array($r->id, $values)) {
				$checked = 'checked="checked"';
			}
			$html .= '<input type="checkbox" onClick="javascript:upgrade_bdg(this)" id="bdg_'.$r->id.'" name="bdg_'.$r->id.'"' . $checked . '/>'.$r->username.'<br>';
		}
		
		$html .= '<input type="hidden" value="'.$value.'" id="'.$control_name.'['.$name.']" name="'.$control_name.'['.$name.']" />';
		
	return $html;
	}
}
?>
