<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	theme.helper.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------

defined( '_JEXEC' ) or die( 'Restricted access' );

class bdgHelperTheme
{
    function colorMono($rgb) {
        $red = intval($rgb[0].$rgb[1], 16);
        $green = intval($rgb[2].$rgb[3], 16);
        $blue = intval($rgb[4].$rgb[5], 16);

        if ($red + $green + $blue > 382) return '000000';
        else return 'FFFFFF';
    }

    function loadColors($color = null) {
        if (bdgHelperConfig::getConfig('select_colors', 'default') == 0) {
            jimport('joomla.filesystem.file');
            $gtmagic_fw = JPATH_ROOT . DS . 'components' . DS . 'com_gtmagic' . DS . 'helpers' . DS . 'framework.helper.php';
            if (JFile::exists($gtmagic_fw)) {
                require_once($gtmagic_fw);
                GTMHelperFrameWork::init_load();
                return GTMHelperColor::get();
            }
        }
        if ($color == null) {
            $color = bdgHelperConfig::getConfig('select_colors', '1');
        }
        if ($color == 0) $color = 1;
        $row = &JTable::getInstance('colors', 'Table');
        $row->load($color);

        for ($i = 0; $i < 10; $i ++) {
            eval("$"."colors->base[".$i."] = '#' . $"."row->color".$i.";");
            eval("$"."colors->text[".$i."] = '#' . bdgHelperTheme::colorMono("."$"."row->color".$i.");");
        }
        return $colors;
    }

    function loadTheme($theme = null) {
        if ($theme == null) {
            $theme = bdgHelperConfig::getConfig('select_theme', 'default');
        }
        $document = &JFactory::getDocument();
        $css_system = JURI::Base().'components/com_jbudgetsmagic/themes/'.$theme.'/system.css';
        $document->addStyleSheet($css_system);
        require_once(JPATH_ROOT.DS.'components'.DS.'com_jbudgetsmagic'.DS.'themes'.DS.'colors.php');
        $css_fonts = JURI::Base().'components/com_jbudgetsmagic/themes/'.$theme.'/fonts.css';
        $document->addStyleSheet($css_fonts);
        return true;
    }
}
