<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	default.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined('_JEXEC') or die('Restricted access');?>

<?php 
	JHTML::_('behavior.mootools');

    if ((count($this->checks->errors) > 0 || count($this->checks->upgrades) > 0)) {
        $pane1 =& JPane::getInstance('sliders', array('startOffset' => 1, 'startTransition' => 0));
        $checks = JText::_('COM_JBUDGETSMAGIC_CHECKS_REVIEW');
    } elseif(count($this->checks->warnings) > 0) {
        $pane1 = &JPane::getInstance('sliders');
        $checks = JText::_('COM_JBUDGETSMAGIC_CHECKS_WARNINGS');
    } else {
        $pane1 =& JPane::getInstance('sliders');
        $checks = JText::_('COM_JBUDGETSMAGIC_CHECKS_ALL_OK');
    }

//	$pane2 =& JPane::getInstance('tabs', array('startOffset'=>0));
?>
<script>
	function sel_el(el) {
		el.className = "sel_leg";
	}
	function des_el(el) {
		el.className = "leg";
	}

	function getElementsByClass(searchClass,node,tag) {
		var classElements = new Array();
		if ( node == null )
			node = document;
		if ( tag == null )
			tag = '*';
		var els = node.getElementsByTagName(tag);
		var elsLen = els.length;
		var pattern = new RegExp('(^|\\s)'+searchClass+'(\\s|$)');
		for (i = 0, j = 0; i < elsLen; i++) {
			if ( pattern.test(els[i].className) ) {
				classElements[j] = els[i];
				j++;
			}
		}
		return classElements;
	}

	function do_active(el) {
		var id = el.id.substr(3);
		var check = document.getElementById('check_'+id);
/*		var cant = document.getElementById('cant_'+id);
		var row = document.getElementById('tr_'+id);*/
//		alert(id);
		var rows = getElementsByClass(id);
		for (i = 0; i < rows.length; i++) {
			rows[i].style.display = "block";
		}
//		alert(rows);
		if (check.checked == "") {
/*			if (cant.value == 0) cant.value = 1;*/
			check.checked = "true";
			var Efecto = new Fx.Styles(el);
			Efecto.start(
			{
				'background-color': '#AFA'
			});
		}
//		recal();	
	}

	function do_desactive(el) {
		var id = el.id.substr(3);
//		alert(id);
		var check = document.getElementById('check_'+id);
/*		var cant = document.getElementById('cant_'+id);
		var row = document.getElementById('tr_'+id);*/
		var rows = getElementsByClass(id);
		for (i = 0; i < rows.length; i++) {
			rows[i].style.display = "none";
		}
		if (check.checked == true) {
			check.checked = "";
			var Efecto = new Fx.Styles(el);
			Efecto.start(
			{
				'background-color': '#EAE7FF'
			});
//			cant.value = 0;
		}	
//		recal();	
	}

	function toggle(el) {
		var id = el.id.substr(3);
//		alert(id);
		var check = document.getElementById('check_'+id);
//		alert(check.checked);
		if (check.checked == true)
			do_desactive(el);
		else
			do_active(el);
	}
</script>

<form action="index.php" method="post" name="adminForm">
<table class="adminform">
	<tr>
		<td width="65%" valign="top">
			<?php
				echo $pane1->startPane( 'pane1' );
				echo $pane1->startPanel( JTEXT::_('COM_JBUDGETSMAGIC_JBUDGETSMAGIC_MENU'), 'bdg_cp_menu' );
				echo '<div id="cpanel">';
				$link = 'index.php?option=com_jbudgetsmagic&view=items';
				echo bdgHelperCP::quickIconButton( $link, 'icon-48-menu-items.png', JText::_( 'COM_JBUDGETSMAGIC_ITEMS' ) );
	
				$link = 'index.php?option=com_jbudgetsmagic&view=items_dsc';
				echo bdgHelperCP::quickIconButton( $link, 'icon-48-menu-items_dsc.png', JText::_( 'COM_JBUDGETSMAGIC_ITEMS_DESCOUNTS' ) );
	
				$link = 'index.php?option=com_jbudgetsmagic&view=types';
				echo bdgHelperCP::quickIconButton( $link, 'icon-48-menu-types.png', JText::_( 'COM_JBUDGETSMAGIC_TYPES' ) );
	
				$link = 'index.php?option=com_jbudgetsmagic&view=types_elements';
				echo bdgHelperCP::quickIconButton( $link, 'icon-48-menu-types_elements.png', JText::_( 'COM_JBUDGETSMAGIC_TYPES_ELEMENTS' ) );
					
				$link = 'index.php?option=com_jbudgetsmagic&view=budgets';
				echo bdgHelperCP::quickIconButton( $link, 'icon-48-menu-budgets.png', JText::_( 'COM_JBUDGETSMAGIC_BUDGETS' ) );

				$link = 'index.php?option=com_jbudgetsmagic&view=colors';
				echo bdgHelperCP::quickIconButton( $link, 'icon-48-menu-colors.png', JText::_( 'COM_JBUDGETSMAGIC_COLORS' ) );
				
				$link = 'index.php?option=com_jbudgetsmagic&view=version';
				echo bdgHelperCP::quickIconButton( $link, 'icon-48-menu-version.png', JText::_( 'COM_JBUDGETSMAGIC_VERSION' ) );
			?>		
			<?php
				echo $pane1->endPanel();

                echo $pane1->startPanel( JText::_('COM_JBUDGETSMAGIC_JBUDGETSMAGIC_CHECKS').' - '.$checks, 'bdg_cp_checks' );
                echo '<div id="cpanel">';
                echo '<ul class="checks">';
                if ($this->checks->upgrades != null)
                foreach($this->checks->upgrades as $up) {
                    echo '<li class="checksupgrade"><a href="index.php?option=com_jbudgetsmagic&view=version">'.JText::_('COM_JBUDGETSMAGIC_CHECKS_UPGRADE_'.$up).'</a></li>';
                }
                if ($this->checks->errors != null)
                foreach($this->checks->errors as $e) {
                    echo '<li class="checkserror">'.JText::_('COM_JBUDGETSMAGIC_CHECKS_ERROR_'.$e).'</li>';
                }
                if ($this->checks->warnings != null)
                foreach($this->checks->warnings as $w) {
                    echo '<li class="checkswarning">'.JText::_('COM_JBUDGETSMAGIC_CHECKS_WARNING_'.$w).'</li>';
                }
                if ($this->checks->success != null)
                foreach($this->checks->success as $su) {
                    echo '<li class="checkssuccess">'.JText::_('COM_JBUDGETSMAGIC_CHECKS_SUCCESS_'.$su).'</li>';
                }
                echo '</ul>';
                echo '</div>';
                echo $pane1->endPanel();

                            if ($this->rssnews != false) {
                                echo $pane1->startPanel( JText::_('COM_JBUDGETSMAGIC_NEWS'), 'bdg_cp_news' );
                                foreach($this->rssnews as $new) {
                                    if (bdgHelperConfig::getConfig('adminnews', 'all') != 'jbudgetsmagic' || $new['category'] == 'JBudgetsMagic') {
                                        echo '<div class="bdg_rss_new">';
                                        echo '<div class="title"><a target="_blank" href="'.$new['link'].'">'.$new['title'].'</a></div>';
                                        echo '<div class="pubdate">'.$new['pubDate'].'</div>';
                                        echo '<div class="category">'.$new['category'].'</div>';
                                        echo '<div class="description">'.$new['description'].'</div>';
                                        echo '</div>';
                                    }
                                }

                                echo $pane1->endPanel();
                            }
                            if (true) {
                                echo $pane1->startPanel( JText::_('COM_JBUDGETSMAGIC_CHANGELOGS'), 'bdg_cp_changelogs' );

                                foreach($this->changelogs as $version) {
                                    echo '<div class="bdg_changelogs_version">';
                                    echo '<div class="version">'.JText::_('COM_JBUDGETSMAGIC_VERSION').' '.$version->number.'</div>';
                                    echo '<div class="date">'.JHTML::_('date', $version->date, JText::_('DATE_FORMAT_LC2')).'</div>';
                                    echo '<div class="changes">';
                                    foreach($version->change as $change) {
                                        echo '<div class="change_'.$change->type.'">'.$change->text.'</div>';
                                    }
                                    echo '</div>';
                                    echo '</div>';
                                }

                                echo $pane1->endPanel();
                            }

			echo $pane1->endPane();
			?>
		</td>
		
		<td width="35%" valign="top">
			<div class="bdg_cp_info">
			<div style="text-align: center;border-bottom: 1px solid #115fb2;">
			<?php
				echo JHTML::_('image.site',  'logo.png', '/components/com_jbudgetsmagic/assets/images/', NULL, NULL, 'JBudgetsMagic' )
			?>
			</div>
<!--
			<h3><?php echo JText::_('Copyright');?></h3>
			<p>© 2009 - Fernando Hidalgo</p>
			<p><a href="http://www.sopinet.com/" target="_blank">www.sopinet.com</a></p>-->
                        <h3><?php echo JText::_('COM_JBUDGETSMAGIC_DONATION');?></h3>
                        <div class="bdg_cp_info_box">
                            <p><?php echo JText::_('COM_JBUDGETSMAGIC_DONATION_DESC');?></p>
                            <form class="donation" action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_blank">
                            <input name="cmd" value="_donations" type="hidden">
                            <input name="business" value="fhidalgo@sopinet.com" type="hidden">
                            <input name="item_name" value="" type="hidden">
                            <input name="amount" value="" type="hidden">
                            <input name="no_shipping" value="1" type="hidden">

                            <input name="currency_code" value="USD" type="hidden">
                            <input name="tax" value="0" type="hidden">
                            <input name="lc" value="US" type="hidden">
                            <input name="bn" value="PP-DonationsBF" type="hidden">
                            <input class="donation_button" src="<?php echo JURI::Root() . 'administrator/components/com_jbudgetsmagic/assets/images/donate.gif';?>" name="submit" alt="PayPal - The safer, easier way to pay online!" type="image" border="0">
                            <!--<img alt="" src="https://www.paypal.com/en_US/i/scr/pixel.gif" height="1" width="1" border="0">-->
                            </form>
                        </div>
			<h3><?php echo JText::_('COM_JBUDGETSMAGIC_JBUDGETSMAGIC_TEAM');?></h3>
			<div class="bdg_cp_info_box">
			<p><?php echo JText::_('COM_JBUDGETSMAGIC_FOUNDER_AND_DEVELOPER');?>: Fernando Hidalgo <a href="http://www.hidabe.com">hidabe</a><br>
			<br>
			<?php echo JText::_('COM_JBUDGETSMAGIC_TRANSLATOR');?>: Yann Gomiero aka Daneel <a href="http://www.joomla.fr" target="_blank">Joomla Fr</a><br>
			<?php echo JText::_('COM_JBUDGETSMAGIC_TRANSLATOR');?>: Luis Méndez Alejo <a href="http://www.mendezalejo.net" target="_blank">Mendezalejo</a><br>
			<?php echo JText::_('COM_JBUDGETSMAGIC_TRANSLATOR');?>: Gema Quiñonero, María José Pedraza <a href="mailto:gema.quinonero@gmail.com">email</a><br>
			<?php echo JText::_('COM_JBUDGETSMAGIC_TRANSLATOR');?>: Eraser <a href="http://www.eraser.ee" target="_blank">www.eraser.ee</a><br>
			</p>
			</div>
			<h3><?php echo JText::_('COM_JBUDGETSMAGIC_LICENSE');?></h3>
			<p><a href="http://www.gnu.org/copyleft/gpl.html" target="_blank">GNU/GPL</a></p>
			<p>&nbsp;</p>
			<?php echo JText::_('COM_JBUDGETSMAGIC_THANKS_FOR');?>
			<div class="bdg_cp_info_box">
			<p><a href="http://phoca.cz">PhocaGallery</a></p>
			<p><?php echo JText::_('COM_JBUDGETSMAGIC_CONTROL_PANEL_INSPIRATION_AND_OTHER_FEACTURES_FROM_PHOCAGALLERY_COMPONENT_CODE_VERY_THANKS');?></p>
			</div>
			<br>
			<div class="bdg_cp_info_box">
			<p><a href="http://jfusion.org">JFusion</a></p>
			<p><?php echo JText::_('COM_JBUDGETSMAGIC_VERSION_CHECK_INSPIRATION_AND_OTHER_FEACTURES_FROM_JFUSION');?></p>
			</div>
		</td>
	</tr>
</table>

<input type="hidden" name="option" value="com_phocagallery" />
<input type="hidden" name="view" value="phocagallerycp" />
<input type="hidden" name="<?php echo JUtility::getToken(); ?>" value="1" />
</form>
