<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	view.html.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class bdgViewbudget extends JView
{
	function display($tpl = null)
	{
		require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jbudgetsmagic'.DS.'helpers'.DS.'load.helper.php' );
		JHTML::stylesheet( 'bdg.css', 'administrator/components/com_jbudgetsmagic/assets/' );
		JHTML::stylesheet( 'default.css', 'components/com_jbudgetsmagic/templates/' );
		
		//Data from model
		$model =& $this->getModel();
		$budget_id = JRequest::getVar('bid');
		if ($budget_id == 0) {
			$bud = JRequest::getVar( 'cid', array(0), '', 'array' );
			$budget_id = $bud[0];
		}
		$revisions = $model->getRevisions($budget_id);
		$rev_id = JRequest::getVar('rid', $revisions);
		$budget = $model->getBudget($budget_id);
		$elements = $model->getElements($budget_id, $rev_id);		
		$revision = $model->getRevision($budget_id, $rev_id);
		$messages = $model->getMessages($budget_id);
		$type = $model->getType($budget->type_id);
		$curr = bdgHelperConfig::getConfig('currency', '€');
		$editor1 =& JFactory::getEditor();
		$editor2 =& JFactory::getEditor();

		JToolBarHelper::title(   '&nbsp;&nbsp;' .JText::_( 'COM_JBUDGETSMAGIC_BUDGET' ) . ': ' . $budget->title, 'budgets');
		
		//$lists = $model->getLists();
//		$this->assignRef('categories', $categories);
		$this->assignRef('budget', $budget);
		$this->assignRef('elements', $elements);
		$this->assignRef('revisions', $revisions);
		$this->assignRef('revision', $revision);
		$this->assignRef('messages', $messages);
		$this->assignRef('type', $type);
		$this->assignRef('curr', $curr);
		$this->assignRef('editor1', $editor1);
		$this->assignRef('editor2', $editor2);

		if ($rev_id > 0) {
			JToolBarHelper::custom('prev_revision', 'back.png', 'prev.png', JText::_('COM_JBUDGETSMAGIC_PREV_REVISION'), false, false);
		}
		if ($revisions > $rev_id) {
			JToolBarHelper::custom('next_revision', 'forward.png', 'next.png', JText::_('COM_JBUDGETSMAGIC_NEXT_REVISION'), false, false);
		}
		if ($revisions > 0) {
			JToolBarHelper::custom('last_revision', 'default.png', 'download.png', JText::_('COM_JBUDGETSMAGIC_LAST_REVISION'), false, false);
		}
		JToolBarHelper::custom('add_comment', 'new.png', 'new.png', JText::_('COM_JBUDGETSMAGIC_ADD_COMMENT'), false, false);
		JToolBarHelper::save('save_revision', JText::_('COM_JBUDGETSMAGIC_SAVE_AS_REVISION').' '.($revisions+1));
		
		JToolBarHelper::cancel();		
		
		//$this->assignRef('lists', $lists);

		parent::display($tpl);
	}
}
