<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	view.html.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class bdgViewtypes_elements extends JView
{
	function display($tpl = null)
	{
		$mainframe = &JFactory::getApplication();
                if (!isset($option)) $option = "";
		$type_id = $mainframe->getUserStateFromRequest( "$option.filter_type", 'filter_type', '', 'int' );
		if ($type_id == NULL) $type_id = 1;

		JHTML::stylesheet( 'bdg.css', 'administrator/components/com_jbudgetsmagic/assets/' );
		JToolBarHelper::title(   '&nbsp;&nbsp;' .JText::_( 'COM_JBUDGETSMAGIC_TYPES_ELEMENTS' ), 'types_elements');

		JToolBarHelper::deleteList();
		JToolBarHelper::editListX();
		JToolBarHelper::addNewX();
		JToolBarHelper::custom('am_elements', 'default', 'default', 'COM_JBUDGETSMAGIC_ADD_MULTIPLE', false, false);
			//icon-32-default.png

		$elements		= & $this->get( 'Data');
		$pagination =& $this->get('Pagination');

		$lists = & $this->get('List');

		//echo $this->filter_type;
		$this->assignRef('elements',		$elements);
		$this->assignRef('pagination', $pagination);
		$this->assignRef('type_id', $type_id);
		$this->assignRef('lists', $lists);

		parent::display($tpl);
	}
}
