<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	calc.bdg.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------

defined( '_JEXEC' ) or die( 'Restricted access' );

$colors = bdgHelperTheme::loadColors();

$version = new JVersion();
if (($version->RELEASE == '1.5' && $version->DEV_LEVEL >= 19 && JPluginHelper::isEnabled( 'system', 'mtupgrade' )) || $version->RELEASE != '1.5' ) {
    $moo = 12;
} else {
    $moo = 11;
}

$script = "
	function getCant(cant) {
		if (currency_align == 'right') {
			return cant + currency;
		} else {
			return currency + cant;
		}
	}

	function Message(text) {
		el = document.getElementById('bdg_message');
		el.innerHTML = text;";
if ($moo == 12) { $script .= "
// MOOTOOLS 1.2
		var myMorph1 = new Fx.Morph('bdg_message', { 'duration': 450 });
		myMorph1.start({ 'background-color': '".$colors->base[8]."' });";
} else { $script .= "
// MOOTOOLS 1.1
		var Efecto = new Fx.Styles(el);
		Efecto.start(
		{
			'background-color': '".$colors->base[8]."'
		});";
	} $script .= "
//		Sexy.info(text);
	}

	function clearMessage() {
		el = document.getElementById('bdg_message');
		el.innerHTML = message_clear;";
if ($moo == 12) { $script .= "
// MOOTOOLS 1.2
		var myMorph2 = new Fx.Morph('bdg_message', { 'duration': 450 });
		myMorph2.start({ 'background-color': '".$colors->base[1]."' });";
} else { $script .= "
// MOOTOOLS 1.1
		var Efecto = new Fx.Styles(el);
		Efecto.start(
		{
			'background-color': '".$colors->base[1]."'
		});";
	} $script .= "
	}

	function toDecimal(num)
	{
		var original=parseFloat(num);
		var result=Math.round(original*100)/100 ;
		return result;
	}

	function recal() {
		clearMessage();
		var total_normal = 0;
		var total_porc = 0;
        var total_div = 1;
        var total_mul = 1;
		var done_message = 0;
		var totalsuma = 0;
		for (i = 0; i < list_ids.length; i++) {
			var check = document.getElementById('check_'+list_ids[i]).checked;
			if (true) {
				var do_dsc = false;
				var el_price = document.getElementById('price_'+list_ids[i]);
				var price = el_price.innerHTML;
				var oprice = document.getElementById('oprice_'+list_ids[i]).value;
				var el_cant =  document.getElementById('cant_'+list_ids[i]);
				var cant = 1 * el_cant.value;
				var cant_min = document.getElementById('min_'+list_ids[i]).value;
				var cant_max = document.getElementById('max_'+list_ids[i]).value;

				if ((cant_min != 0) && (cant_min > cant)) {
					el_cant.value = cant_min;
					cant = 1 * cant_min;
					Message(message_cantmin);
				}
				if ((cant_max != 0) && (cant_max < cant)) {
					el_cant.value = cant_max;
					cant = 1 * cant_max;
					Message(message_cantmax);
				}
				var type = document.getElementById('type_'+list_ids[i]).value;
				for (o = 0; o < idsc.length; o++) {
					var idsc_min = document.getElementById('idsc_min_'+list_ids[i]+'_'+idsc[o]);
					var idsc_price = document.getElementById('idsc_price_'+list_ids[i]+'_'+idsc[o]);
					if (idsc_min != null) {
						var idscm = 1 * idsc_min.value;
						var idscp = 1 * idsc_price.value;
						if (cant >= idscm) {
							do_dsc = true;
							if ((el_price.innerHTML != getCant(idscp)) && (el_price.innerHTML != idscp)) {
								el_price.innerHTML = toDecimal(idscp);
								price = idscp;
								if (done_message == 0) {
									done_message = 1;
									Message(message_dscmore);
								}
							}
						}
					}
				}
				if (do_dsc == false) {
					//Message(message_dscless);
					if (type == 'normal')
						el_price.innerHTML = getCant(oprice);
					else if (type == 'porc')
						el_price.innerHTML = oprice + '%';
                    else if (type == 'div')
                        el_price.innerHTML = '/' + oprice;
                    else if (type == 'mul')
                        el_price.innerHTML = 'x' + oprice;
					price = oprice;
				}
				totalsuma = document.getElementById('totalsuma_'+list_ids[i]);
				if (type == 'normal') {
					totalsuma.innerHTML = getCant(toDecimal(price * cant));
					total_normal = total_normal + (price * cant);
				}
				else if (type == 'porc') {
					if (cant == 1) {
						totalsuma.innerHTML = price * cant + '%';
						total_porc = total_porc + parseFloat(price);
					}
				}
                else if (type == 'div') {
                    totalsuma.innerHTML = '/' + price * cant;
                    if (cant != 0) {
                        total_div = total_div * price * cant;
                    }
                }
                else if (type == 'mul') {
                    totalsuma.innerHTML = 'x' + price * cant;
                    if (cant != 0) {
                        total_mul = total_mul * price * cant;
                    }
                }
			}
		}
		var to = document.getElementById('total');

		to.value = total_normal + (total_normal * total_porc / 100);
        to.value = to.value / total_div;
        to.value = to.value * total_mul;
        to.value = getCant(Math.round(to.value * 100) / 100);
	}

	function sel_el(el) {
		el.className = 'sel_element';
	}
	function des_el(el) {
		el.className = 'element';
	}

	function do_desactive_by_group(id, group) {
		for (o = 0; o < list_ids.length; o++) {
			var gr = $('group_'+list_ids[o]);
			if ((gr.value == group) && (id != list_ids[o]))
				do_desactive(list_ids[o]);
		}
	}

	function do_active(id, re) {
		var check = document.getElementById('check_'+id);
		var cant = document.getElementById('cant_'+id);
		var row = document.getElementById('tr_'+id);
		var group = $('group_'+id);
		if (group.value != '') do_desactive_by_group(id, group.value);
		if (check.checked == '') {
			if (cant.value == 0) cant.value = 1;
			check.checked = 'true';";
if ($moo == 12) { $script .= "
// MOOTOOLS 1.2
			var myMorph = new Fx.Morph('tr_'+id, { 'duration': 1000 });
			myMorph.start({ 'background-color': '".$colors->base[9]."', 'color': '".$colors->text[9]."' });";
} else { $script .= "
// MOOTOOLS 1.1
			var Efecto = new Fx.Styles(row);
			Efecto.start(
			{
				'background-color': '".$colors->base[9]."',
                                'color' : '".$colors->text[9]."'
			});";
}	$script .= "
		} else {
                    $('tr_'+id).setStyle('backgroundColor', '".$colors->base[9]."');

                }
		if (re == true)
			recal();
	}

	function do_desactive(id, re) {
		var check = document.getElementById('check_'+id);
		var cant = document.getElementById('cant_'+id);
		var cant_min = document.getElementById('min_'+id).value;
		var row = document.getElementById('tr_'+id);

		if ((check.checked == true) && (cant_min == 0)) {
			check.checked = '';";
if ($moo == 12) { $script .= "
// MOOTOOLS 1.2
			var myMorph = new Fx.Morph('tr_'+id, { 'duration': 1000 });
			myMorph.start({ 'background-color': '".$colors->base[1]."', 'color': '".$colors->text[1]."' });";
} else { $script .= "
// MOOTOOLS 1.1

			var Efecto = new Fx.Styles(row);
			Efecto.start(
			{
				'background-color': '".$colors->base[1]."',
                                'color': '".$colors->text[1]."',
			});";
} $script .= "

			cant.value = 0;
		}
		if (re == true)
			recal();
	}

	function bdg_toggle(el) {
		var id = el.id.substr(3);
		var check = document.getElementById('check_'+id);
		var group = $('group_'+id);
		if ((check.checked == true) && (group.value == '')) {
			do_desactive(id, true);
		}
		else {
			do_active(id, true);
		}
	}
	function inc_cant(id) {
		var cant = document.getElementById('cant_'+id);
		var type = document.getElementById('type_'+id).value;
		if ((type == 'div') || (type == 'normal') || ((type == 'porc') && (cant.value == 0)))
			cant.value++;
		do_active(id, true);
	}

	function dec_cant(id) {
		var cant = document.getElementById('cant_'+id);
		if (cant.value > 0)
			cant.value--;
		if (cant.value == 0) 
			do_desactive(id, true);
		else
			do_active(id, true);
	}
	function mod_cant(el) {
		var id = el.id.substr(5);
		if (el.value == 0)
			do_desactive(id, true);
		else
			do_active(id, true);
	}

	window.addEvent('domready', function() {
		for (i = 0; i < list_ids.length; i++) {
			var el_cant =  document.getElementById('cant_'+list_ids[i]);
			var cant = 1 * el_cant.value;
			var cant_min = document.getElementById('min_'+list_ids[i]).value;
			var cant_max = document.getElementById('max_'+list_ids[i]).value;

			if (cant > 0) {
				do_active(list_ids[i]);
			}
		}
		recal();
	});
";

$document = &JFactory::getDocument();
$document->addScriptDeclaration($script);
?>
