<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	view.html.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class bdgViewform extends JView
{
	function display($tpl = null)
	{
            $model =& $this->getModel();
            $form = $model->getForm();
            $elements = $model->getElements($form->id);
            $form_id = $form->id;
            $ids = $model->getIDs($elements);
            $items_dsc = $model->getItemsDSC($elements);
            $idsc = $model->getIDCS($items_dsc);
            $types = $model->getTYPEs($elements);
            $editor = JFactory::getEditor();
            $theme = 'default';

            $this->assignRef('theme', $theme);
            $this->assignRef('form', $form);
            $this->assignRef('form_id', $form_id);
            $this->assignRef('elements', $elements);
            $this->assignRef('ids', $ids);
            $this->assignRef('idsc', $idsc);
            $this->assignRef('items_dsc', $items_dsc);
            $this->assignRef('types', $types);
            $this->assignRef('editor', $editor);
            $this->assignRef('currency', bdgHelperConfig::get_curr());
	    $this->assignRef('currency_align', bdgHelperConfig::get_curr_align());

            parent::display($tpl);
	}
}
