<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	default.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined( '_JEXEC' ) or die( 'Restricted access' );
JHTML::_('behavior.tooltip');
JHTML::_('behavior.mootools');

$document = & JFactory::getDocument();
//echo 'Num Revisions ' . $this->revisions;
//echo 'Revision ' . $this->revision->revision_num;
?>
<div id="bdg_wrapper">
	<div class="bdg_state">
		<?php echo JText::_('COM_JBUDGETSMAGIC_STATUS') .': '. JText::_('COM_JBUDGETSMAGIC_'.$this->budget->state);?>
	</div>
	<div class="bdg_control">
		<div class="bdg_left">
			<?php if (($this->budget->state == 'New') || ($this->budget->state == 'Opened')) { ?>
				<a class="bdg_approve" href="<?php echo $this->url_approve;?>"><?php echo JText::_('COM_JBUDGETSMAGIC_APPROVE_BUDGET');?></a>
				<a class="bdg_cancel" href="<?php echo $this->url_cancel;?>"><?php echo JText::_('COM_JBUDGETSMAGIC_CANCEL_BUDGET');?></a>
			<?php } elseif ($this->budget->state == 'Approved') { ?>
				<a class="bdg_open" href="<?php echo $this->url_open;?>"><?php echo JText::_('COM_JBUDGETSMAGIC_OPEN_BUDGET');?></a>
				<?php
					// Register Initial Plugin
					jimport('joomla.plugin.helper');
					JPluginHelper::importPlugin('jbudgetsmagic');
					$dispatcher =& JDispatcher::getInstance();
					$dispatcher->trigger('onBDGShowMybudget', array('open',$this));
				?>
			<?php } ?>
			<a class="bdg_exportpdf" href="<?php echo $this->url_exportpdf;?>"><?php echo JText::_('COM_JBUDGETSMAGIC_EXPORT_TO_PDF');?></a>
		</div>
		<div class="bdg_right">
		<?php if ($this->revision->revision_num > 0) { ?>	
			<a class="bdg_revision_prev" href="<?php echo $this->url_prev;?>"><?php echo JText::_('COM_JBUDGETSMAGIC_PREV_REVISION');?></a>
		<?php } if ($this->revision->revision_num < $this->revisions) { ?>
			<a class="bdg_revision_next" href="<?php echo $this->url_next;?>"><?php echo JText::_('COM_JBUDGETSMAGIC_NEXT_REVISION');?></a>
		<?php } ?>
		</div>
		<div class="Clr"></div><br>
	</div>
	<div class="bdg_left">
		<div class="bdg_title hasTip" title="<?php echo $this->type->description;?>">
			<?php echo $this->type->title;?>
		</div>
	</div>
	<div class="bdg_right">
		<?php echo JText::_('COM_JBUDGETSMAGIC_REVISION').': '. $this->revision->revision_num . ' ' . JText::_('COM_JBUDGETSMAGIC_OF') . ' ' . $this->revisions;?>
	</div>
	<div class="Clr"></div>
	<div id="bdg_content">
	<table id="original_budget" width="100%">
		<tr class="head">
			<th><?php echo JText::_('COM_JBUDGETSMAGIC_ITEM');?></th>
			<th><?php echo JText::_('COM_JBUDGETSMAGIC_AMOUNT');?></th>
			<th><?php echo JText::_('COM_JBUDGETSMAGIC_PRICE');?></th>
			<th><?php echo JText::_('COM_JBUDGETSMAGIC_TOTAL');?></th>
		</tr>
		<?php foreach ($this->elements as $e) { 
			if ($e->element_amount <> 0) {
		?>
		<tr class="element">
			<td class="title"><?php echo $e->element_title;?></td>
			<td><?php echo $e->element_amount;?></td>
			<td><?php 				
				if ($e->element_type == "porc") echo $e->element_price . "%";
				else echo bdgHelperConfig::getCant($e->element_price, $this->currency, $this->currency_align);
			?>
			</td>
			<td>
			<?php 
				if ($e->element_type == "porc") echo $e->element_total . "%";
				else echo bdgHelperConfig::getCant($e->element_total, $this->currency, $this->currency_align);
			?>
			</td>
		</tr>
		<?php } } ?>
	</table>
	</div>
	
	<div id="bdg_result">
		<div id="text">
			<?php echo JTEXT::_('COM_JBUDGETSMAGIC_BUDGET_ORIGINAL_TOTAL');?><br><br>
			<b><?php echo JTEXT::_('COM_JBUDGETSMAGIC_BUDGET_TOTAL');?></b>
		</div>
		<div id="cant">
			<?php echo bdgHelperConfig::getCant($this->budget->price, $this->currency, $this->currency_align);?><br><br>
			<b><?php echo bdgHelperConfig::getCant($this->revision->price, $this->currency, $this->currency_align);?></b>
		</div>
		<div class="Clr"></div>
	</div>
	
	<div id="bdg_comments">
		<div id="bdg_title_messages">
			<?php echo JText::_('COM_JBUDGETSMAGIC_COMMENTS');?>
		</div>
	<form method="post" action="<?php echo $this->url;?>">
	<div id="bdg_add_message">
		<div id="bdg_add_head">
			<?php echo JText::_('COM_JBUDGETSMAGIC_NEW_COMMENT');?>
		</div>
		<div id="bdg_add_title">
			<?php echo JText::_('COM_JBUDGETSMAGIC_TITLE');?><br>
			<input type="text" name="title" id="title" value="" size="80"/>
		</div>
		<div id="bdg_add_description">
			<?php echo JText::_('COM_JBUDGETSMAGIC_DESCRIPTION');?><br>
			<?php echo $this->editor->display('description', '', '100%','160','','', false); ?>
		</div>
		<div class="Clr"></div><br>
		<input type="hidden" name="budget_id" id="budget_id" value="<?php echo $this->budget->id;?>"/>
		<input type="hidden" name="user_id" id="user_id" value="<?php echo $this->uid;?>"/>
		<input type="hidden" name="url_return" id="url_return" value="<?php echo $this->url_return;?>"/>
		<input type="submit" value="<?php echo JText::_('COM_JBUDGETSMAGIC_ADD_COMMENT');?>"/>
	</div>
	</form>		
	<?php if (!count($this->messages)) { ?>
		<?php echo JText::_('COM_JBUDGETSMAGIC_NO_COMMENTS');?>
	<?php } else { 
		foreach($this->messages as $ms) { ?>
		<div class="bdg_comment">		
			<div class="bdg_title">
				<?php echo $ms->title;?>
				<?php echo JText::_('COM_JBUDGETSMAGIC_BY');?>
				<?php $user = JFactory::getUser($ms->user_id); echo $user->username;?>, 
				<?php echo JHTML::_('date', $ms->upload, JText::_('DATE_FORMAT_LC2'));?>
			</div>
			<div class="bdg_description"><?php echo $ms->description;?></div>
		</div>
	<?php } } ?>
	</div>
</div>
