<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	view.html.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class bdgViewmybudget extends JView
{
	function display($tpl = null)
	{
		$user = &JFactory::getUser();
		$uid = $user->id;
		
		$model =& $this->getModel();
		$budget_id = JRequest::getInt('bid');
		$revisions = $model->getRevisions($budget_id);
		$rev_id = JRequest::getInt('rid', $revisions);
		$budget = $model->getBudget($budget_id);
		if ($budget->user_id != $uid) {
			JError::raiseError(1, JText::_('Invalid user No access'));
		}
		$elements = $model->getElements($budget_id, $rev_id);
		$revision = $model->getRevision($budget_id, $rev_id);
		$messages = $model->getMessages($budget_id);
		$last = $model->getLast($budget_id, $revisions);
		$editor =& JFactory::getEditor();
		$url = JRoute::_('index.php?option=com_jbudgetsmagic&task=addmessage');		
		$url_return = JURI::Base() . 'index.php?option=com_jbudgetsmagic&view=mybudget&bid='.$budget->id;
		if ($rev_id <> NULL) $url_return .= '&rid='.$rev_id;
		$url_return = JRoute::_($url_return);
		$type = $model->getType($budget->type_id);
		$url_prev = JURI::Base() . '?option=com_jbudgetsmagic&view=mybudget&bid=' . JRequest::getInt('bid') . '&Itemid=' . JRequest::getInt('Itemid') . '&rid=' . ($revision->revision_num - 1);
		$url_prev = JRoute::_($url_prev);		
		$url_next = JURI::Base() . '?option=com_jbudgetsmagic&view=mybudget&bid=' . JRequest::getInt('bid') . '&Itemid=' . JRequest::getInt('Itemid') . '&rid=' . ($revision->revision_num + 1);
		$url_next = JRoute::_($url_next);
		$url_approve = JURI::Base() . '?option=com_jbudgetsmagic&task=approve_budget&bid=' . JRequest::getInt('bid') . '&Itemid=' . JRequest::getInt('Itemid');
		$url_approve = JRoute::_($url_approve);
		$url_cancel =  JURI::Base() . '?option=com_jbudgetsmagic&task=cancel_budget&bid=' . JRequest::getInt('bid') . '&Itemid=' . JRequest::getInt('Itemid'); 
		$url_cancel = JRoute::_($url_cancel);
		$url_open =  JURI::Base() . '?option=com_jbudgetsmagic&task=open_budget&bid=' . JRequest::getInt('bid') . '&Itemid=' . JRequest::getInt('Itemid');
		$url_open = JRoute::_($url_open);
		$uri = &JURI::getInstance();
		$verjoomla = new JVersion();
		if ($verjoomla->RELEASE == '1.5') {
			$url_exportpdf = JRoute::_($uri->_uri.'&format=pdf');
		} else {
			$url_exportpdf = JRoute::_($uri->__toString().'&format=pdf');
		}
		
		$this->assignRef('budget', $budget);
		$this->assignRef('last_price',$last);
		$this->assignRef('elements', $elements);
		$this->assignRef('revisions', $revisions);
		$this->assignRef('revision', $revision);
		$this->assignRef('messages', $messages);
		$this->assignRef('editor', $editor);
		$this->assignRef('url', $url);
		$this->assignRef('url_return', $url_return);
		$this->assignRef('uid',$uid);
		$this->assignRef('type', $type);
		$this->assignRef('url_prev', $url_prev);
		$this->assignRef('url_next', $url_next);
		$this->assignRef('url_approve', $url_approve);
		$this->assignRef('url_cancel', $url_cancel);
		$this->assignRef('url_open', $url_open);
		$this->assignRef('url_exportpdf', $url_exportpdf);
		$this->assignRef('currency', bdgHelperConfig::get_curr());
		$this->assignRef('currency_align', bdgHelperConfig::get_curr_align());
		
		parent::display($tpl);
	}
}
