<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	bdgthemes.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined( '_JEXEC' ) or die( 'Restricted access' );

if(!class_exists('JFakeElementBase')) {
        if(version_compare(JVERSION,'1.6.0','ge')) {
                class JFakeElementBase extends JFormField {
                        // This line is required to keep Joomla! 1.6/1.7 from complaining
                        public function getInput() {}
                }               
        } else {
                class JFakeElementBase extends JElement {}
        }
}

class JFakeElementBDGThemes extends JFakeElementBase
{
	var $_name = "bdgthemes";

	function fetchElement($name, $value, &$node, $control_name)
	{
            $folder = JPATH_ROOT . DS . 'components' . DS . 'com_jbudgetsmagic' . DS . 'themes';
            jimport('joomla.filesystem.file');
            $files = JFolder::folders($folder);
            //$rows[] = JHTML::_('select.option',  '0', '- '.JText::_( 'Select Theme' ).' -', 'id', 'title' );
            foreach($files as $f) {
                $rows[] = JHTML::_('select.option',  $f, $f, 'id', 'title' );
            }
            
            $javascript = '';
            $html = JHTML::_('select.genericlist',   $rows, $control_name.'['.$name.']', 'class="inputbox" size="1"'.$javascript,'id', 'title', $value );

            return $html;
	}

	function getInput()
	{
            $folder = JPATH_ROOT . DS . 'components' . DS . 'com_jbudgetsmagic' . DS . 'themes';
            jimport('joomla.filesystem.file');
            $files = JFolder::folders($folder);
            //$rows[] = JHTML::_('select.option',  '0', '- '.JText::_( 'Select Theme' ).' -', 'id', 'title' );
            foreach($files as $f) {
                $rows[] = JHTML::_('select.option',  $f, $f, 'id', 'title' );
            }
            
            $javascript = '';
            $html = JHTML::_('select.genericlist',   $rows, $this->name, 'class="inputbox" size="1"'.$javascript,'id', 'title', $this->value );

            return $html;
	}
}

if(version_compare(JVERSION,'1.6.0','ge')) {
        class JFormFieldBDGThemes extends JFakeElementBDGThemes {}
} else {
        class JElementBDGThemes extends JFakeElementBDGThemes {}                
}
?>
