<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	config.helper.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------

defined( '_JEXEC' ) or die( 'Restricted access' );

class bdgHelperConfig
{
	function get($field) {
		$db = &JFactory::getDBO();
		$query = "SELECT `value` FROM #__bdg_config WHERE `field` = '".$field."';";
		$db->setQuery($query);
		return $db->loadResult();
	}
	
	function genRandomString($length = 10) {
	    $characters = '0123456789abcdefghijklmnopqrstuvwxyz';
	    $string = '';
	
	    for ($p = 0; $p < $length; $p++) {
	        $string .= $characters[mt_rand(0, strlen($characters))];
	    }

	    return $string;
	}	
	
	function getConfig($key, $default = 0) {
		jimport('joomla.application.component.model');
		jimport( 'joomla.application.component.helper' );
		jimport( 'joomla.html.parameter' );
		$params = JComponentHelper::getParams( 'com_jbudgetsmagic' );
		$version = new JVersion();
		if ($version->RELEASE != '1.5') {
			$value = $params->get($key);
			if ($value == '') {
				$paramsArray = $params->get('params');
				$value = $paramsArray->$key;
			}
			return $value;
		} else {
			return $params->get($key, $default);
		}
	}

	function setConfig($key, $value) {
		jimport('joomla.application.component.model');
		jimport( 'joomla.application.component.helper' );
		jimport( 'joomla.html.parameter' );
		$params = JComponentHelper::getParams( 'com_jbudgetsmagic' );
		$params->set($key, $value);
	}

	function set() {

	}

	function get_curr() {
		$currency_other = bdgHelperConfig::getConfig('currency_other', '');
		if ($currency_other != '')
			return $currency_other;
		$currency = bdgHelperConfig::getConfig('currency', '€');
		return $currency;
	}

	function get_curr_align() {
		return bdgHelperConfig::getConfig('currency_align', 'right');
	}

	function getCant($cant, $curr = null, $align = null) {
		if ($curr == null) $curr = bdgHelperConfig::get_curr();
		if ($align == null) $align = bdgHelperConfig::get_curr_align();
		if ($align == 'left') {
			return $curr . $cant;
		} else {
			return $cant . $curr;
		}
	}
}
