CREATE TABLE IF NOT EXISTS `#__bdg_budgets` (
`id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`user_id` INT( 11 ) NOT NULL ,
`title` VARCHAR( 255 ) NOT NULL ,
`description` TEXT NOT NULL ,
`upload` DATETIME NOT NULL ,
`type_id` INT( 11 ) NOT NULL ,
`state` ENUM( 'New', 'Opened', 'Cancelled', 'Approved' ) NOT NULL ,
`price` DECIMAL( 11, 2 ) NOT NULL
);

CREATE TABLE IF NOT EXISTS `#__bdg_budgets_revision` (
`id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`revision_num` INT( 11 ) NOT NULL ,
`budget_id` INT( 11 ) NOT NULL ,
`upload` DATETIME NOT NULL ,
`notes` TEXT NOT NULL ,
`price` INT( 11 ) NOT NULL
);

CREATE TABLE IF NOT EXISTS `#__bdg_budgets_elements` (
`id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`revision_id` INT( 11 ) NOT NULL ,
`budget_id` INT( 11 ) NOT NULL ,
`element_id` INT( 11 ) NOT NULL ,
`element_title` VARCHAR( 255 ) NOT NULL ,
`element_description` VARCHAR( 500 ) NOT NULL ,
`element_type` ENUM( 'porc', 'normal' ) NOT NULL ,
`element_amount` INT( 11 ) NOT NULL ,
`element_price` DECIMAL( 11, 2 ) NOT NULL ,
`element_total` DECIMAL( 11, 2 ) NOT NULL
);

CREATE TABLE IF NOT EXISTS `#__bdg_budgets_messages` (
`id` INT( 11 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`budget_id` INT( 11 ) NOT NULL ,
`upload` DATETIME NOT NULL ,
`user_id` INT( 11 ) NOT NULL ,
`title` VARCHAR( 255 ) NOT NULL ,
`description` TEXT NOT NULL
);
