<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	form.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined('_JEXEC') or die('Restricted access'); 

JHTML::_('behavior.tooltip');
JHTML::_('behavior.calendar');
$script = "
window.addEvent('domready', function() {
		Calendar.setup({
			// Id of the input field
			inputField: 'timestamp',
			// Format of the input field
			ifFormat: '%Y-%m-%d %H:%M:%S',
			// Trigger for the calendar (button ID)
			button: 'timestamp_img',
			// Alignment (defaults to 'Bl')
			align: 'Tl',
			singleClick: true,
			firstDay: 0
		});
	});
";
$document = &JFactory::getDocument();
$document->addScriptDeclaration($script);
?>
<form action="index.php" method="post" name="adminForm" id="adminForm">
	<fieldset class="adminform">
	<legend><?php echo JText::_( 'COM_JBUDGETSMAGIC_DETAILS' ); ?></legend>
	<table class="admintable">
		<tr>
			<td width="100" align="right" class="key">
				<label for="name">
					<?php echo JText::_( 'COM_JBUDGETSMAGIC_TITLE' ); ?>:
				</label>
			</td>
			<td colspan="2">
				<input class="text_area" type="text" name="title" id="title" size="32" maxlength="250" value="<?php echo $this->item->title;?>" />
			</td>
		</tr>
		<tr>
			<td width="100" align="right" class="key">
				<label for="name">
					<?php echo JText::_( 'COM_JBUDGETSMAGIC_AUTHOR' ); ?>:
				</label>
			</td>
			<td colspan="2">
				<input class="text_area" type="text" name="autor" id="autor" size="32" maxlength="250" value="<?php echo $this->item->autor;?>" />
			</td>
		</tr>
		<tr>
			<td width="100" align="right" class="key">
				<label for="name">
					<?php echo JText::_( 'COM_JBUDGETSMAGIC_DATE' ); ?>:
				</label>
			</td>
			<td colspan="2">
                            <input id="timestamp" name="timestamp" size="20" type="text" value="<?php echo $this->item->timestamp;?>"/>
                            <img class="calendar" id="timestamp_img" src="templates/system/images/calendar.png" alt="calendar" />
			</td>
		</tr>
		<tr>
			<td valign="top" align="right" class="key">
				<label for="description">
					<?php echo JText::_( 'COM_JBUDGETSMAGIC_DESCRIPTION' ); ?>:
				</label>
			</td>
			<td colspan="2">
                            <textarea rows=5 cols=40 name="description" id="description"><?php echo $this->item->description;?></textarea>
			</td>
		</tr>
	</table>
	</fieldset>
	
	<fieldset class="adminform">
    <legend><?php echo JText::_( 'COM_JBUDGETSMAGIC_COLORS' ); ?></legend>

    <table class="admintable">
        <?php
        $document = &JFactory::getDocument();
        $script = "window.addEvent('domready', function() {";
        for ($i = 0; $i < 10; $i++) {
            eval("$"."color"."="."$"."this->item->color".$i.";");

            ?>
            <tr>
                <td width="100" align="right" class="key">
                    <?php echo JText::_('COM_JBUDGETSMAGIC_COLOR').' ';
                    echo $i + 1;
                    ?>
                </td>
                <td colspan="2">
                    <input type="text" name="color<?php echo $i;?>" id="color<?php echo $i;?>" value="#<?php echo $color;?>"/>
                    <span style="cursor:pointer; border:1px solid #000; background:<?php echo '#'.$color;?>" id="css_iconcolour_<?php echo $i;?>">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
                </td>
            </tr>
            <?php
            $red = hexdec($color[0].$color[1]);
            $green = hexdec($color[2].$color[3]);
            $blue = hexdec($color[4].$color[5]);
            $script .= '
                new MooRainbow("css_iconcolour_'.$i.'", {
                        id: "pick_'.$i.'",
                        startColor: ["'.$red.'", "'.$green.'", "'.$blue.'"],
                        wheel: true,
                    onChange: function(color) {
                        $("css_iconcolour_'.$i.'").style.background = color.hex;
                        $("color'.$i.'").value = color.hex;
                    }
                });
        ';
        }
        $script .= ' });';
        $document->addScriptDeclaration($script);
        ?>

	</table>
	</fieldset>

	<input type="hidden" name="cid[]" value="<?php echo $this->item->id; ?>" />
	<input type="hidden" name="option" value="com_jbudgetsmagic" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="controller" value="color" />
</form>
