<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	view.html.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class bdgViewcolor extends JView
{
	function display($tpl = null)
	{
		require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jbudgetsmagic'.DS.'helpers'.DS.'load.helper.php' );
		JHTML::stylesheet( 'bdg.css', 'administrator/components/com_jbudgetsmagic/assets/' );

		//Data from model
		$item		=& $this->get('Data');
		$isNew		= ($item->id < 1);
		$text = $isNew ? JText::_( 'COM_JBUDGETSMAGIC_NEW' ) : JText::_( 'COM_JBUDGETSMAGIC_EDIT' );

		JToolBarHelper::title(   '&nbsp;&nbsp;' .JText::_( 'COM_JBUDGETSMAGIC_COLOR' ).': <small><small>[ ' . $text.' ]</small></small>', 'colors');

		JToolBarHelper::save();
		JToolBarHelper::cancel();

                JHTML::_('behavior.mootools');
                $document = &JFactory::getDocument();
		$version = new JVersion();
		if (($version->RELEASE == '1.5' && $version->DEV_LEVEL >= 19 && JPluginHelper::isEnabled( 'system', 'mtupgrade' )) || $version->RELEASE != '1.5' ) {
		    $document->addScript(JURI::Root().'administrator/components/com_jbudgetsmagic/externals/moorainbow/mooRainbow12.js');
		} else {
		    $document->addScript(JURI::Root().'administrator/components/com_jbudgetsmagic/externals/moorainbow/mooRainbow.js');
		}
                $document->addStyleSheet(JURI::Root().'administrator/components/com_jbudgetsmagic/externals/moorainbow/mooRainbow.css');

		$this->assignRef('item', $item);

		parent::display($tpl);
	}
}
