<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://www.sopinet.com
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://www.sopinet.com
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	form.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined('_JEXEC') or die('Restricted access'); 

JHTML::_('behavior.tooltip');
?>
<form action="index.php" method="post" name="adminForm" id="adminForm">
	<fieldset class="adminform">
	<legend><?php echo JText::_( 'COM_JBUDGETSMAGIC_DETAILS' ); ?></legend>
	<table class="admintable">
		<tr>
			<td width="100" align="right" class="key">
				<label for="name">
					<?php echo JText::_( 'COM_JBUDGETSMAGIC_TITLE' ); ?>:
				</label>
			</td>
			<td colspan="2">
				<?php echo $this->lists['items'];?>
			</td>
		</tr>
		<tr>
			<td width="100" align="right" class="key">
				<?php echo JText::_( 'COM_JBUDGETSMAGIC_LEAST_UNITS' ); ?>:
			</td>
			<td colspan="2">
				<input class="text_area" type="text" name="min_units" id="min_units" size="32" maxlength="250" value="<?php echo $this->item->min_units;?>" />
			</td>
		</tr>
		<tr>
			<td width="100" align="right" class="key">
				<?php echo JText::_( 'COM_JBUDGETSMAGIC_PRICE' ); ?>:
			</td>
			<td colspan="2">
				<input class="text_area" type="text" name="price" id="price" size="32" maxlength="250" value="<?php echo $this->item->price;?>" />
			</td>
		</tr>
		<tr>
			<td valign="top" align="right" class="key">
				<?php echo JText::_( 'COM_JBUDGETSMAGIC_PUBLISHED' ); ?>:
			</td>
			<td colspan="2">
				<fieldset id="jform_public" class="radio">
					<?php echo $this->lists['published']; ?>
				</fieldset>
			</td>
		</tr>
	</table>
	</fieldset>

	<input type="hidden" name="cid[]" value="<?php echo $this->item->id; ?>" />
	<input type="hidden" name="option" value="com_jbudgetsmagic" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="controller" value="dsc" />
</form>
