<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	default.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined('_JEXEC') or die('Restricted access'); 

JHTML::_('behavior.tooltip');

$ordering = ($this->lists['order'] == 'e.ordering');
?>
<form action="index.php" method="post" name="adminForm">
<table>
	<tr>
		<td align="left" width="100%">
			<?php echo JText::_( 'COM_JBUDGETSMAGIC_FILTER' ); ?>:
			<input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
			<button onclick="this.form.submit();"><?php echo JText::_( 'COM_JBUDGETSMAGIC_GO' ); ?></button>
			<button onclick="document.getElementById('search').value='';this.form.getElementById('filter_item').value='';this.form.submit();"><?php echo JText::_( 'COM_JBUDGETSMAGIC_RESET' ); ?></button>
		</td>
		<td nowrap="nowrap">
			<?php echo $this->lists['type']; ?>
		</td>
	</tr>
</table>
<div id="tablecell">
	<table class="adminlist">
	<thead>
		<tr>
			<th width="5">
				<?php echo JText::_( 'COM_JBUDGETSMAGIC_NUM' ); ?>
			</th>
			<th width="5%">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->elements ); ?>);" />
			</th>
			<th class="title">
				<?php echo JHTML::_('grid.sort',   'COM_JBUDGETSMAGIC_TITLE', 'title', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th width="5">
				<?php echo JHTML::_('grid.sort',   'COM_JBUDGETSMAGIC_LEAST', 'min', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th width="5">
				<?php echo JHTML::_('grid.sort',   'COM_JBUDGETSMAGIC_MAXIMUM', 'max', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th width="5">
				<?php echo JHTML::_('grid.sort',   'COM_JBUDGETSMAGIC_DEFAULT', 'def', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th width="8%">
				<?php echo JHTML::_('grid.sort',   'COM_JBUDGETSMAGIC_GROUP', 'def', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th width="8%">
				<?php echo JHTML::_('grid.sort',   'COM_JBUDGETSMAGIC_ORDER_BY', 'e.ordering', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				<?php echo JHTML::_('grid.order',  $this->elements ); ?>
			</th>
			<th width="1%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort',   'COM_JBUDGETSMAGIC_ID', 'id', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
		</tr>
	</thead>
	
	<tbody>
	<?php
	$k = 0;
	for ($i=0, $n=count( $this->elements ); $i < $n; $i++)
	{
		$row = &$this->elements[$i];

		$link 		= JRoute::_( 'index.php?option=com_jbudgetsmagic&controller=element&type_id='.$row->type_id.'&task=edit&cid[]='. $row->id);
		
		$checked 	= JHTML::_('grid.id',  $i, $row->id );
	?>
		<tr class="<?php echo "row$k"; ?>">
			<td width="5%">
				<?php echo $this->pagination->getRowOffset( $i ); ?>
			</td>
			<td width="5%">
				<?php echo $checked; ?>
			</td>
			<td>
				<span class="editlinktip hasTip" title="<?php echo JText::_( 'COM_JBUDGETSMAGIC_EDIT_ELEMENT' );?>::<?php echo $row->title; ?>">
				<a href="<?php echo $link  ?>">
					<?php echo $row->title; ?></a></span>
			</td>
			<td>
				<?php echo $row->min;?>
			</td>
			<td>
				<?php echo $row->max;?>
			</td>
			<td>
				<?php echo $row->def;?>
			</td>
			<td class="group">
				<?php echo $row->group;?>
			</td>
			<td class="order">
				<span><?php echo $this->pagination->orderUpIcon( $i, true, 'orderup', 'Move Up', $ordering ); ?></span>
				<span><?php echo $this->pagination->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', $ordering ); ?></span>
				<?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>
				<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" <?php echo $disabled ?> class="text_area" style="text-align: center" />		
			<td align="center">
				<?php echo $row->id; ?>
			</td>
		</tr>
		<?php
			$k = 1 - $k;
		}
		?>
	</tbody>
    <tfoot>
    <tr>
      <td colspan="13"><?php echo $this->pagination->getListFooter(); ?></td>
    </tr>
  </tfoot>
	</table>
</div>
	<input type="hidden" name="option" value="com_jbudgetsmagic" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="item_id" value="<?php echo $this->item_id;?>" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="type_id" value="<?php echo $this->type_id;?>" />
	<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
	<input type="hidden" name="controller" value="element" />
	<input type="hidden" name="view" value="types_elements" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
