<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	view.html.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class bdgViewversion extends JView
{
	function display($tpl = null)
	{
		JHTML::stylesheet( 'bdg.css', 'administrator/components/com_jbudgetsmagic/assets/' );

		JToolBarHelper::title(   '&nbsp;&nbsp;' .JText::_( 'COM_JBUDGETSMAGIC_JBUDGETSMAGIC_VERSION' ), 'version' );

		$vremote = bdgHelperInstall::getVersionRemote();
		$vlocal = bdgHelperInstall::getVersionLocal();

		$this->assignRef('vremote', $vremote);
		$this->assignRef('vlocal', $vlocal);

        if ($vremote == -1) {
            parent::display('nofileget');
        } elseif ($vremote == -2) {
            parent::display('noconexion');
        } else {
		    parent::display($tpl);
        }
	}
}
