<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	default.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined( '_JEXEC' ) or die( 'Restricted access' );
JHTML::_('behavior.tooltip');
JHTML::_('behavior.mootools');
JHTML::_('behavior.modal');

$document = & JFactory::getDocument();
$script = "";
if (count($this->ids) == 1) {
	$script .= "var list_ids = new Array('".implode(',',$this->ids)."');";
} else {
	$script .= "var list_ids = new Array(".implode(',',$this->ids).");";
}
if (count($this->idsc) == 1) {
	$script .= "var idsc = new Array('".implode(',',$this->idsc)."');";
} else {
	$script .= "var idsc = new Array(".implode(',',$this->idsc).");";
}
$script .= "var currency = '".$this->currency."';";
$script .= "var currency_align = '".$this->currency_align."';";
$script .= "var message_obligatory = '".JText::_('COM_JBUDGETSMAGIC_ELEMENT_OBLIGATORY')."';";
$script .= "var message_cantmin = '".JText::_('COM_JBUDGETSMAGIC_LEAST_AMOUNT')."';";
$script .= "var message_cantmax = '".JText::_('COM_JBUDGETSMAGIC_MAXIMUM_AMOUNT')."';";
$script .= "var message_dscmore = '".JText::_('COM_JBUDGETSMAGIC_DESCOUNT_MORE')."';";
$script .= "var message_dscless = '".JText::_('COM_JBUDGETSMAGIC_DESCOUNT_LESS')."';";
$script .= "var message_clear = '".JText::_('COM_JBUDGETSMAGIC_SYSTEM_MESSAGES')."';";
$document->addScriptDeclaration($script);

require_once(JPATH_ROOT.DS.'components'.DS.'com_jbudgetsmagic'.DS.'helpers'.DS.'calc.bdg.php');
/*$sex_script4 = JURI::Base().'components/com_jbudgetsmagic/helpers/calc.bdg.js';
$document->addScript($sex_script4);*/

$url_send = JURI::Base() . 'index.php?option=com_jbudgetsmagic&task=send&Itemid=' . JRequest::getInt('Itemid');

$fscript = "
	function sendForm() {
		document.budget.action = '".$url_send."';
		document.budget.submit();
		return true;
	}";
$document->addScriptDeclaration($fscript);
?>
<div id="bdg_wrapper">
	<form method="post" name="budget" id="budget" url="index.php?option=com_jbudgetsmagic&view=form">
	<h1><?php echo $this->form->title;?></h1>
	<h2><?php echo $this->form->description;?></h2>
	<div id="bdg_content">
		<div id="bdg_message"><?php echo JText::_('COM_JBUDGETSMAGIC_SYSTEM_MESSAGES');?></div>
		<table>
			<tr class="head">
				<th class="mini"></th>
				<th><?php echo JTEXT::_('COM_JBUDGETSMAGIC_ITEM');?></th>
				<th width="10%"><?php echo JTEXT::_('COM_JBUDGETSMAGIC_AMOUNT');?></th>
				<th class="mini"><?php echo JTEXT::_('COM_JBUDGETSMAGIC_PRICE');?></th>
				<th class="mini"><?php echo JTEXT::_('COM_JBUDGETSMAGIC_TOTAL');?></th>
			</tr>
			<?php foreach($this->elements as $e) { ?>
			<?php
				$message = $e->title . "::";
				if ($e->group != null)
					$message .= "<i><b> (".$e->group.") </b></i><br>";
				$message .= $e->description;
			?>
			<tr class="element hasTip" id="tr_<?php echo $e->id;?>" title="<?php echo $message;?>" onMouseOver="sel_el(this)" onMouseOut="des_el(this)">
				<td width="1%" id="td_<?php echo $e->id;?>" onClick="toggle(this)">
					<?php if ($e->group != null) { ?>
						<input type="radio" disabled="disabled" readonly="true" value="ok" name="check_<?php echo $e->id;?>" id="check_<?php echo $e->id;?>"/>
					<?php } else {
						if (bdgHelperConfig::getConfig('check_hidde', 'no') == 'yes') $hide = 'style="visibility:hidden"'; 
					?>					
						<input <?php echo $hide; ?> type="checkbox" disabled="disabled" readonly="true" value="ok" name="check_<?php echo $e->id;?>" id="check_<?php echo $e->id;?>"/>
					<?php }?>
				</td>
				<td class="title">
					<div style="position:relative" id="ti_<?php echo $e->id;?>" onClick="bdg_toggle(this)"><?php echo $e->title;?>
                    <?php if ($e->fulltext != '') {
                    	if (bdgHelperConfig::getConfig('description_mode', 'outline') == 'inline') {
                    		echo $e->fulltext;
                    	} else { ?>
                    		&nbsp;<a href="index.php?option=com_jbudgetsmagic&view=item&id=<?php echo $e->id;?>&tmpl=component&task=preview" class="modal moreinformation"><?php echo JText::_('COM_JBUDGETSMAGIC_MORE_INFORMATION');?></a>                         
                    <?php } } ?>
                    </div>
				</td>
				<td class="cant" id="cant_all_<?php echo $e->id;?>">
					<div style="float:left">
						<?php
							$default = $e->def;
							if ($e->min > $e->def)
								$default = $e->min;
						?>
						<input size="3" type="text" align="right" value="<?php echo $default;?>" onChange="mod_cant(this)" id="cant_<?php echo $e->id;?>" name="cant_<?php echo $e->id;?>"/>
					</div>
					<div class="arrow">
						<a href="javascript:inc_cant(<?php echo $e->id;?>)">
							<img src="components/com_jbudgetsmagic/themes/<?php echo $this->theme;?>/images/up_icon.jpg" width="16" height="12"/>
						</a>
						<br>
						<a href="javascript:dec_cant(<?php echo $e->id;?>)">
							<img src="components/com_jbudgetsmagic/themes/<?php echo $this->theme;?>/images/down_icon.jpg" width="16" height="12"/>
						</a>
					</div>
				</td>
				<td>
					<div id="price_<?php echo $e->id;?>"><?php 
						if ($e->type == "normal") {
							if ($this->currency_align == 'right') echo $e->price;
							echo $this->currency;
							if ($this->currency_align == 'left') echo $e->price;
						}
						elseif ($e->type == "porc") {
							echo $e->price;
							echo '%';
						}
					?>
					</div>
				</td>
				<td>
					<div id="totalsuma_<?php echo $e->id;?>">
					<?php 
						if ($e->type == "normal") {
							if ($this->currency_align == 'right') echo '0';
							echo $this->currency;
							if ($this->currency_align == 'left') echo '0';
						}
						elseif ($e->type == "porc") {
							echo '0';
							echo '%';
						}
					?>
					</div>
				</td>
				<input type="hidden" name="oprice_<?php echo $e->id;?>" id="oprice_<?php echo $e->id;?>" value="<?php echo $e->price;?>"/>
				<?php
					if (isset($this->items_dsc[$e->id]) && (count($this->items_dsc[$e->id]) != NULL)) {
						foreach ($this->items_dsc[$e->id] as $ie) { ?>
						<input type="hidden" 
							id="idsc_min_<?php echo $e->id;?>_<?php echo $ie->id;?>" 
							name="idsc_min_<?php echo $e->id;?>_<?php echo $ie->id;?>" 
							value="<?php echo $ie->min_units;?>"/>
						<input type="hidden" 
							id="idsc_price_<?php echo $e->id;?>_<?php echo $ie->id;?>" 
							name="idsc_price_<?php echo $e->id;?>_<?php echo $ie->id;?>" 
							value="<?php echo $ie->price;?>"/>
						<?php }
					}
				?>
				<input type="hidden" name="type_<?php echo $e->id;?>" id="type_<?php echo $e->id;?>" value="<?php echo $e->type;?>"/>
				<input type="hidden" name="min_<?php echo $e->id;?>" id="min_<?php echo $e->id;?>" value="<?php echo $e->min;?>"/>
				<input type="hidden" name="max_<?php echo $e->id;?>" id="max_<?php echo $e->id;?>" value="<?php echo $e->max;?>"/>
				<input type="hidden" name="group_<?php echo $e->id;?>" id="group_<?php echo $e->id;?>" value="<?php echo $e->group;?>"/>
			</tr>
			<?php } ?>
		</table>
	</div>
	<div id="bdg_result">
		<div id="text">
			<?php echo JTEXT::_('COM_JBUDGETSMAGIC_BUDGET_TOTAL');?>
		</div>
		<div id="cant">
			<input type="text" style="text-align:right;" readonly="readonly" name="total" id="total" value="<?php echo $this->currency;?>"/>
		</div>
		<div class="Clr"></div>
	</div>

	<div class="Clr">
	</div>
	<input type="hidden" name="form_id" id="form_id" value="<?php echo $this->form_id?>"/>
	<input type="submit" value="<?php echo JTEXT::_('COM_JBUDGETSMAGIC_RESET');?>"/>
	<br><br>
	<div class="bdg_title"><?php echo JText::_('COM_JBUDGETSMAGIC_SEND_BUDGET');?></div>
	<div id="bdg_send">
		<?php if (bdgHelperConfig::getConfig('title_hidde','no') == 'no') { ?>
            <div class="bdg_title">
                    <?php echo JText::_('COM_JBUDGETSMAGIC_TITLE');?>
            </div>
            <input type="text" name="title" id="title" value="" size="80"/>
        <?php } ?>
            <div class="bdg_email">
                <?php echo JText::_('COM_JBUDGETSMAGIC_EMAIL');?>
            </div>
                <?php $user = &JFactory::getUser();
                    if ($user->id == 0) {
                ?>
                <input type="text" name="user_email" id="user_email" value="" size="40"/>
                <?php } else { ?>
                <input type="text" name="user_email" id="user_email" readonly="readonly" value="<?php echo $user->email;?>" size="40"/>
                <?php } ?>
            <div class="bdg_description">
                <?php echo JText::_('COM_JBUDGETSMAGIC_DESCRIPTION');?>
            </div>
                <?php echo $this->editor->display('description', '', '100%','200','60','6',false);?>
                <div class="Clr"></div>
	</div>

        <input type="button" onClick="sendForm();" value="<?php echo JTEXT::_('COM_JBUDGETSMAGIC_SEND');?>"/>
	</form>
</div>
