<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	default.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined( '_JEXEC' ) or die( 'Restricted access' );
JHTML::_('behavior.tooltip');
JHTML::_('behavior.mootools');

$document = & JFactory::getDocument();
?>
<div id="bdg_wrapper">
	<table class="mybudgets" width="100%">
		<tr>
			<th><?php echo JText::_('COM_JBUDGETSMAGIC_BUDGET');?></th>
			<th><?php echo JText::_('COM_JBUDGETSMAGIC_DATE');?></th>
			<th><?php echo JText::_('COM_JBUDGETSMAGIC_LAST_REVISION');?></th>
			<th><?php echo JText::_('COM_JBUDGETSMAGIC_STATE');?></th>
			<th><?php echo JText::_('COM_JBUDGETSMAGIC_PRICE');?></th>
			<th><?php echo JText::_('COM_JBUDGETSMAGIC_NUM_REVISION');?></th>
			<th><?php echo JText::_('COM_JBUDGETSMAGIC_COMMENTS');?></th>
		</tr>
		<?php foreach ($this->budgets as $budget) { 
			$url = JRoute::_('index.php?option=com_jbudgetsmagic&view=mybudget&bid='.$budget->id);
		?>
		<tr>
			<td><a href="<?php echo $url;?>"><?php echo JText::_('COM_JBUDGETSMAGIC_BUDGET');?> <?php echo $budget->id;?></a></td>
			<td><?php echo JHTML::_('date', $budget->upload, JText::_('DATE_FORMAT_LC1')); ?></td>
			<td><?php if ($budget->lastrev <> null) echo JHTML::_('date', $budget->lastrev, JText::_('DATE_FORMAT_LC1'));?></td>
			<td><?php echo JText::_('COM_JBUDGETSMAGIC_'.$budget->state);?></td>
			<td><?php echo bdgHelperConfig::getCant($budget->price, $this->currency, $this->currency_align);?></td>
			<td><?php echo $budget->numrev;?></td>
			<td><?php echo $budget->comments;?></td>
		</tr>
		<?php } ?>
	</table>
</div>
