<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	view.html.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class bdgViewmybudgets extends JView
{
	function display($tpl = null)
	{
		global $mainframe;
		
		$model =& $this->getModel();
		$budgets = $model->getBudgets();
		
		$this->assignRef('budgets',$budgets);
		$this->assignRef('currency', bdgHelperConfig::get_curr());
		$this->assignRef('currency_align', bdgHelperConfig::get_curr_align());
		
		if (count($budgets) == 0) {
			parent::display('empty');
		} else {
			parent::display($tpl);	
		}
	}
}
