<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	install.jbudgetsmagic.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.filesystem.folder' );

function com_install() {
	// Load default language
	$jlang =& JFactory::getLanguage();
	$jlang->load('com_jbudgetsmagic', JPATH_ADMINISTRATOR, 'en-GB', true);
	$jlang->load('com_jbudgetsmagic', JPATH_ADMINISTRATOR, null, true);

	$db =& JFactory::getDBO();
	$table_list = $db->getTableList();
	$table_prefix = $db->getPrefix();

	if (array_search($table_prefix . 'bdg_items',$table_list) == false) {
$query = "
--
--
--

-- --------------------------------------------------------
CREATE TABLE IF NOT EXISTS `#__bdg_items` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `description` varchar(500) NOT NULL,
  `type` enum('porc','normal') NOT NULL,
  `price` decimal(11,2) NOT NULL,
  `published` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
";

$lang =& JFactory::getLanguage();
if ($lang->getTag() == 'es-ES') {
$query .= "
INSERT INTO `#__bdg_items` (`id`, `title`, `description`, `type`, `price`, `published`) VALUES
(1, 'Dominio', 'Registre su dominio por un año y lo damos de alta en google totalmente gratis.', 'normal', 10, 1),
(2, 'Instalación de Joomla Básica', 'Una instalación básica y configuración óptima del CMS Joomla 1.5, con todas sus características listas para usar.', 'normal', 100, 1),
(3, 'Componente JGeneralDisplay', 'Instalación y personalización CSS del visor genérico basado en scripts de mootools 1.12', 'normal', 100, 1),
(4, 'Alojamiento (10MB) (por unidad)', '10MB de alojamiento web, 10MB de correo electrónico, 100MB de tráfico al mes', 'normal', 1, 1),
(5, 'Componente JBudgetsMagic', 'Instalación, Configuración y Personalización del componente para ofrecer presupuestos a tus clientes basado en efectos mootools. Codificado con javascript sin AJAX, para destruir los tiempos de espera web.', 'normal', 80, 1),
(6, 'Componente SeyRet', 'Instalación, Configuración y Personalización básica, del componente SeyRet para Joomla 1.5. Este componente es un componente para poder administrar vídeos en su sitio.', 'normal', 125, 1),
(7, 'Instalación de phpBB3 + JFusion', 'Instalación, Migración de datos, Configuración y Personalización básica de un foro phpBB3. Instalación, Configuración y Personalización de un plugin para Joomla 1.5, que integra el foro phpBB3 con Joomla: JFusion.', 'normal', 300, 1),
(8, 'Diseño de Template', 'Diseño de una plantilla básica para Joomla 1.5, totalmente personalizada para el cliente, desarrollada desde 0, y con la garantía de no reusarla con otros clientes.', 'normal', 200, 1),
(9, 'IVA', 'Elija si desea ver su presupuesto antes de aplicar el IVA (16%)  o después de aplicárselo.', 'porc', 16, 1),
(10, 'Google Analitics', 'Gestión completa de la inclusión en google analitics de su portal.', 'normal', 30, 1),
(11, 'Página de Contenido', 'Creación y publicación de una página normal de contenido en su portal.', 'normal', 10, 1),
(12, 'Asesoramiento email', 'Asesoramiento técnico via email <strong>por un año</strong> de su portal Joomla, resolviendo todas sus dudas de funcionamiento.', 'normal', 100, 1),
(13, 'Asesoramiento telefónico', 'Asesoramiento vía teléfono <strong>por un año</strong> de todo lo relacionado con el funcionamiento de su portal Joomla.', 'normal', 300, 1);
";
} else {
$query .= "
INSERT INTO `#__bdg_items` (`id`, `title`, `description`, `type`, `price`, `published`) VALUES
(1, 'Domain', 'Register your domain for a year and give it high on google for free.', 'normal', 10, 1),
(2, 'Basic Joomla Installation', 'A basic installation and optimal configuration of Joomla 1.5, with all its features ready to use.', 'normal', 100, 1),
(3, 'JGeneralDisplay Component', 'Installing and customizing the display CSS-based generic scripts mootools 1.12', 'normal', 100, 1),
(4, 'Hosting (10MB) (by unit)', 'Web hosting 10MB, 10MB email, 100MB of traffic per month', 'normal', 1, 1),
(5, 'JBudgetsMagic Component', 'Installation, Configuration and customization of components to give your customers budgets based on mootools effect. Encoded without AJAX javascript to destroy the web timeouts.', 'normal', 80, 1),
(6, 'SeyRet Component', 'Installation, configuration and basic customization of Seyret component for Joomla 1.5. This component is a component to manage videos on your site.', 'normal', 125, 1),
(7, 'phpBB3 + JFusion Installation', 'Installation, data migration, configuration and basic customization of a phpBB3 forum. Installing, Configuring and Customizing a plugin for Joomla 1.5, which integrates with Joomla phpBB3 Forum: JFusion.', 'normal', 300, 1),
(8, 'Template Design', 'Design a basic template for Joomla 1.5, fully customized to the client, developed from 0, and with the guarantee of no reuse with other customers.', 'normal', 200, 1),
(9, 'VAT', 'Choose to see his budget before the application of VAT (16%) or after application.', 'porc', 16, 1),
(10, 'Google Analitics', 'Complete management of inclusion in Google Analytics to your website.', 'normal', 30, 1),
(11, 'Content Page', 'Creating and publishing a regular page of content on its portal.', 'normal', 10, 1),
(12, 'Email Support', 'Technical advice via email for a year of your Joomla site, resolving all doubts of operation.', 'normal', 100, 1),
(13, 'Phone Support', 'Advice over the phone for a year of everything related to the performance of your Joomla site.', 'normal', 300, 1);
";
}

$query .= "
CREATE TABLE IF NOT EXISTS `#__bdg_items_dsc` (
  `id` int(11) NOT NULL auto_increment,
  `item_id` int(11) NOT NULL,
  `min_units` int(11) NOT NULL,
  `price` decimal(11,2) NOT NULL,
  `published` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);


-- --------------------------------------------------------
CREATE TABLE IF NOT EXISTS `#__bdg_types` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `published` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);

";
if ($lang->getTag() == 'es-ES') {
$query .= "
INSERT INTO `#__bdg_types` (`id`, `title`, `description`, `published`) VALUES
(1, 'Portal Web Básico', '¿Quieres hacer un portal web normalito? con las cosas básicas vamos, no necesitas demasiada inversión para tener un portal web. Consulta tu presupuesto.', 1),
(2, 'Portal Web Avanzado', 'Necesitas un Portal Web con unas características profesionales, con algunas extensiones de Joomla perfectamente configuradas e integradas entre si.', 1);
";
} else {
$query .= "
INSERT INTO `#__bdg_types` (`id`, `title`, `description`, `published`) VALUES
(1, 'Basic Web Portal', 'Want to make a basic website? with the basic things we do not need too much investment for a web portal. Check your budget.', 1),
(2, 'Advanced Web Portal', 'Need a Web Portal with professional characteristics, with some extensions for Joomla perfectly configured and integrated with each other.', 1);
";
}

$query .= "
CREATE TABLE IF NOT EXISTS `#__bdg_types_elements` (
  `id` int(11) NOT NULL auto_increment,
  `type_id` int(11) NOT NULL,
  `item_id` int(11) NOT NULL,
  `min` int(11) NOT NULL default '0',
  `max` int(11) NOT NULL default '0',
  `def` int(11) NOT NULL default '1',
  `ordering` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
);

--
-- Volcar la base de datos para la tabla `#__bdg_types_elements`
--

INSERT INTO `#__bdg_types_elements` (`id`, `type_id`, `item_id`, `ordering`) VALUES
('', 2, 11, 4),
('', 2, 10, 7),
('', 2, 9, 13),
('', 0, 0, 11),
('', 2, 8, 8),
('', 2, 7, 9),
('', 2, 6, 10),
('', 2, 5, 11),
('', 2, 1, 1),
('', 2, 4, 2),
('', 2, 3, 12),
('', 2, 2, 3),
('', 1, 12, 6),
('', 1, 11, 4),
('', 1, 10, 5),
('', 1, 9, 7),
('', 1, 4, 2),
('', 1, 2, 3),
('', 1, 1, 1),
('', 2, 12, 6),
('', 2, 13, 5);
";


		$db->setQuery($query);
		if (!$db->queryBatch()){
			echo $db->stderr() . '<br/>';
		}
		$message = 
		'<div id="wrapper_bdg_admin">
			<h3>'.JTEXT::_('COM_JBUDGETSMAGIC_INSTALL_NEW_SUCCESS').'</h3>
			<p>'.JTEXT::_('COM_JBUDGETSMAGIC_INSTALL_NEW_SUCCESS_DESC').'</p>
			<div class="bdg_link"><a href="index.php?option=com_jbudgetsmagic">JBudgetsMagic</a></div>
		</div>';
	}
	else {
		$message = 
		'<div id="wrapper_bdg_admin">
			<h3>'.JTEXT::_('COM_JBUDGETSMAGIC_UPDATE_SUCCESS').'</h3>
			<p>'.JTEXT::_('COM_JBUDGETSMAGIC_UPDATE_SUCCESS_DESC').'</p>
			<div class="bdg_link"><a href="index.php?option=com_jbudgetsmagic">JBudgetsMagic</a></div>
		</div>';
	}

	if (file_exists(JPATH_SITE . '/administrator/components/com_joomfish/joomfish.php'))
 	{
		@rename( JPATH_SITE."/administrator/components/com_jbudgetsmagic/contentelements/bdg_items.xml",JPATH_SITE."/administrator/components/com_joomfish/contentelements/bdg_items.xml"); 
		@rename( JPATH_SITE."/administrator/components/com_jbudgetsmagic/contentelements/bdg_types.xml",JPATH_SITE."/administrator/components/com_joomfish/contentelements/bdg_types.xml"); 

		@rmdir (JPATH_SITE."/administrator/components/com_jbudgetsmagic/contentelements"); 
	} else {
		@unlink( JPATH_SITE."/administrator/components/com_jbudgetsmagic/contentelements/bdg_items.xml" ); 
		@unlink( JPATH_SITE."/administrator/components/com_jbudgetsmagic/contentelements/bdg_types.xml" ); 
		@rmdir ( JPATH_SITE."/administrator/components/com_jbudgetsmagic/contentelements"); 
	}

	require_once( JPATH_SITE.DS.'administrator'.DS.'components'.DS.'com_jbudgetsmagic'.DS.'helpers'.DS.'install.helper.php' );

	$local = bdgHelperInstall::getVersionLocal();
        if ($local == '') $local['creationDate'] = '';
	$remote = bdgHelperInstall::getVersionRemote();

	$local_cd = bdgHelperInstall::datetosql($local['creationDate']);
	$remote_cd = bdgHelperInstall::datetosql($remote['creationDate']);

	bdgHelperInstall::sqldiff($local_cd, $remote_cd);
	@unlink(JPATH_SITE."/administrator/components/com_jbudgetsmagic/install.jbudgetsmagic.php");
	echo $message;
	return true;
}
?>
